Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.LogClass

class petsc4py.PETSc.LogClass

  Bases: `object`

  Logging support.

  Methods Summary

  `activate`() | Activate the log class.
  `deactivate`() | Deactivate the log class.
  `getActive`() | Not implemented.
  `getName`() | Return the log class name.
  `setActive`(flag) | Activate or deactivate the log class.

  Attributes Summary

  `active` | Log class activation.
  `id` | The log class identifier.
  `name` | The log class name.

  Methods Documentation

  activate()

    Activate the log class.

    Source code at petsc4py/PETSc/Log.pyx:493

    Return type:

      None

  deactivate()

    Deactivate the log class.

    Source code at petsc4py/PETSc/Log.pyx:497

    Return type:

      None

  getActive()

    Not implemented.

    Source code at petsc4py/PETSc/Log.pyx:501

    Return type:

      bool

  getName()

    Return the log class name.

    Source code at petsc4py/PETSc/Log.pyx:476

    Return type:

      str

  setActive(flag)

    Activate or deactivate the log class.

    Source code at petsc4py/PETSc/Log.pyx:506

    Parameters:

      flag (bool)

    Return type:

      None

  Attributes Documentation

  active

    Log class activation.

    Source code at petsc4py/PETSc/Log.pyx:513

  id

    The log class identifier.

    Source code at petsc4py/PETSc/Log.pyx:463

  name

    The log class name.

    Source code at petsc4py/PETSc/Log.pyx:482